Post create a subscription

post

/api/v1/notifications/subscriptions

{basePath}/notifications/subscriptions

The API creates a subscription to a resource for the current subscriber.

Request

Supported Media Types
Body ()
The subscriptionViewModel
Root Schema : SubscriptionViewModel
Type: object
A Subscription subset with the exclusions of subscriptionId and subscriberId
Show Source
Nested Schema : MessageType
Type: object
Information about the type of message.
Show Source
  • Identifier of the message type [Source - POS].
    Message type IDSupported hierarchy level subscriptions
    CheckNotificationSupports organization, property, and revenue center hierarchy level subscriptions.
    OrganizationsNotificationSupports organization, property, and revenue center hierarchy level subscriptions.
    ConfigurationNotificationSupports organization, property, and revenue center hierarchy level subscriptions.
    EmployeesNotificationSupports organization and property hierarchy level subscriptions.
Nested Schema : PostOfficeOptions
Type: object
Information about the PostOffice for the subscription
Show Source
  • Information about the PostOffice for the subscription Valid values are "PushOnePostOffice"
Back to Top

Response

Supported Media Types

200 Response

The subscription
Body ()
Root Schema : Subscription
Type: object
A Subscription
Show Source
Nested Schema : MessageType
Type: object
Information about the type of message.
Show Source
  • Identifier of the message type [Source - POS].
    Message type IDSupported hierarchy level subscriptions
    CheckNotificationSupports organization, property, and revenue center hierarchy level subscriptions.
    OrganizationsNotificationSupports organization, property, and revenue center hierarchy level subscriptions.
    ConfigurationNotificationSupports organization, property, and revenue center hierarchy level subscriptions.
    EmployeesNotificationSupports organization and property hierarchy level subscriptions.
Nested Schema : PostOfficeOptions
Type: object
Information about the PostOffice for the subscription
Show Source
  • Information about the PostOffice for the subscription Valid values are "PushOnePostOffice"

400 Response

400 Bad Request Note - A subscription for message type ID 'EmployeesNotification' will return 400 if RvcRef has a value. Such a subscription would never receive any notifications.
Body ()
Root Schema : NotificationsApiBadRequest
400 Bad Request

401 Response

401 Unauthorized
Headers
  • Bearer authentication challenge. When token validation fails, the header may include error and error_description parameters.

    The following conditions and HTTP response examples are illustrative and not exhaustive. Error descriptions may vary.

    No token provided: No access token is provided, or the Authorization request header is missing. The response header is WWW-Authenticate: Bearer, without error or error_description parameters.

    Example:

    HTTP/1.1 401 Unauthorized
    WWW-Authenticate: Bearer

    Expired token: The access token has expired. The timestamp in this example is illustrative.

    Example:

    HTTP/1.1 401 Unauthorized
    WWW-Authenticate: Bearer error="invalid_token", error_description="The token expired at '05/19/2026 17:16:29'"

    Signing key not found: The token cannot be validated because its signing key was not found. For example, the token's key ID (kid) does not match a key in the JSON Web Key Set (JWKS) used for validation.

    Example:

    HTTP/1.1 401 Unauthorized
    WWW-Authenticate: Bearer error="invalid_token", error_description="The signature key was not found"

    Invalid signature: The token signature is invalid. For example, the token may have been modified.

    Example:

    HTTP/1.1 401 Unauthorized
    WWW-Authenticate: Bearer error="invalid_token", error_description="The signature is invalid"

    For the missing-token, signing-key-not-found, and invalid-signature examples above, the response body is empty. The authentication error details are provided in the WWW-Authenticate response header.

    The response may include an additional WWW-Authenticate header containing a bare Bearer challenge alongside the challenge shown in these examples.

403 Response

403 Forbidden

404 Response

404 Requested resource not found
Back to Top

Examples

Example Request Body

The following example shows the contents of the request body in JSON format:


{
  "callbackUri": "string",
  "messageType": {
    "id": "CheckNotification"
  },
  "postOfficeOptions": {
    "PostOfficeType": "string"
  },
  "orgShortName": "string",
  "locRef": "string",
  "rvcRef": "string"
}

Example Response Body

The following example shows the contents of the response body in JSON format:


{
  "subscriptionId": "string",
  "callbackUri": "string",
  "messageType": {
    "id": "CheckNotification"
  },
  "postOfficeOptions": {
    "PostOfficeType": "string"
  },
  "orgShortName": "string",
  "locRef": "string",
  "rvcRef": "string"
}
Back to Top